gpal(1)

NAME
gpal - GNU PIC Algorithmic Language

SYNOPSIS
gpal [options] file

WARNING
The information in this man page is an extract from the full documentation of gputils and is limited to the meaning of the options. For complete and current documentation, refer to "gputils.ps" located in the gputils docs directory.

DESCRIPTION
gpal is a compiler for Microchip (TM) PIC (TM) micro-controllers. gpal is part of gputils. Check the gputils(1) manpage for details on other GNU PIC utilities.

OPTIONS
Below is a summary of the gpal options. gpal options always supersede any settings in the source code.

-a, --archive
    Compile or assemble, then archive.

-c, --object
    Compile or assemble, but don't link.

-d, --debug
    Output debug messages.

-h, --help
    Show this usage message.

-H FILE, --header FILE
    Scan the specified processor header file.

-I DIR, --include DIR
    Specify include directory.

-k OPT , --options OPT
    Extra link or lib options.

-l, --list-chips
    List supported processors.

-o FILE, --output FILE
    Alternate name of output file.

-O OPT, --optimize OPT
    Optimization level [1].

-p PROC, --processor PROC
    Select processor.

-q, --quiet
    Quiet.

-S, --compile
    Compile only, don't assemble or link.

-t, --save-temps
    Do not delete intermediate files.

-v, --version
    Show version.

SEE ALSO
gputils(1)

AUTHOR
Craig Franklin <craigfranklin@comcast.net>

COPYRIGHT
Copyright (C) 2003, 2004 Craig Franklin This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.